* Title : Growth, Pollution, and Life Expectancy: China from 1991-2012
* Author: Ebenstein, Fan, Greenstone, He, Yin, Zhou     

#delimit ;

*** Table 1. Summary Statistics ; 

use Final_sumstat.dta, clear ; 
replace no2=nox*0.75 if no2==. ; 
local vlist "ex ex5 ajdr1 ajdr4 ajdr5 ajdr7 ajdr13 ajdr19 ajdr10 ajdr6 ajdr11 ajdr22 gdppc_all yrsed sharemin naghukou pm10 so2 no2" ; 
order `vlist' ; 
bysort year: sum `vlist' [w=population], sep(0) ;  

*** Panel A of Table 2 ; 

use Final_91_00collapse.dta, clear ; 
local k=1 ; 
foreach var in ex ex5 ajdr4 ajdr10 { ;      
	reg `var' gdppc r_tsp if sharemin~=., robust ; 
 		if `k'==1 { ; outreg2 using Table2,  replace ; 	 	} ; 
 				else  { ;	outreg2 using Table2,  append ; 	 	} ; 
	reg `var' gdppc r_tsp yrsed sharemin naghukou , robust ;              
		outreg2 using Table2, excel append ; 	 
 	local ++k ; 
} ; 
sum ex ex5 ajdr4 ajdr10 gdppc r_tsp yrsed sharemin naghukou if e(sample) ; 

*** Panel B of Table 2 ; 

use Final_04_12collapse.dta, clear ; 
foreach var in ex ex5 ajdr4 ajdr10 { ; 
	reg `var' gdppc r_pm10 if sharemin~=., robust ; 
		outreg2 using Table2, excel append ; 	 		
	reg `var' gdppc r_pm10 yrsed sharemin naghukou , robust ;  
		outreg2 using Table2, excel ; 	 
} ; 
sum ex ex5 ajdr4 ajdr10 gdppc r_pm10 yrsed sharemin naghukou if e(sample) ; 

*** Panel C of Table 2 ; 

use Final_longdiff1.dta, clear ; 
foreach var in ex ex5 ajdr4 ajdr10 { ;      
	reg fd_`var' fd_gdppc fd_r_pm10 if fd_sharemin~=. , nocon robust ; 
 		if `k'==1 { ; outreg2 using Table2,  replace ; 	 	} ; 
 				else  { ;	outreg2 using Table2,  append ; 	 	} ; 
	reg fd_`var' fd_gdppc fd_r_pm10 fd_yrsed fd_sharemin fd_naghukou ,nocon robust ;              
		outreg2 using Table2, excel append ; 	 
 	local ++k ; 
} ; 
sum fd_ex fd_ex5 fd_ajdr4 fd_ajdr10 fd_gdppc fd_r_pm10 fd_yrsed fd_sharemin fd_naghukou if e(sample); .





